; Skeleton graphics driver -- use to build custom drivers.
; loadable driver for The Graphics Engine
; Copyright (c) 1993 by Matthew Hildebrand

; Turbo Assembler syntax

IDEAL
P286
MODEL LARGE

	CODESEG
	ORG	0

	db	'TGE2'			; driver signature string--do not change
	dw	initGraphics		; initGraphics
	dw	?
	dw      0			; deInitGraphics
	dw      ?
        dw      0			; putImage
        dw	?
        dw	0			; putImageInv
        dw	?
        dw	0			; getImage
        dw	?
        dw	0			; putLine
        dw	?
        dw	0			; getLine
        dw	?
        dw	0			; imageSize
        dw	?
	dw      0			; putPixel
	dw	?
	dw	0			; getPixel
	dw	?
	dw	0			; line
        dw      ?
        dw	0			; horizLine
	dw	?
	dw	0			; drawRect
	dw	?
        dw      0			; filledRect
	dw	?
	dw	0			; setPaletteReg
	dw	?
        dw	0			; getPaletteReg
	dw	?
	dw	0			; setBlockPalette
	dw	?
        dw	0			; getBlockPalette
        dw	?
        dw	0			; clearGraphics
        dw	?
	dw	0			; ellipse
	dw	?
        dw	0			; filledEllipse
        dw	?
        dw	0			; circle
        dw	?
        dw	0			; filledCircle
        dw	?
        dw	0			; fillRegion
        dw	?
        dw	0			; colourCloseTo
        dw	?
        dw	0			; colourCloseToX
        dw	?
        dd      17	DUP(?)		; 17 blank function slots for future
	dw	319			; maximum X-coordinate
	dw	199			; maximum Y-coordinate
	dw	255			; maximum colour number (0-?)
        dw      8			; mode aspect ratio 8:5 (equal to
	dw	5			; width:depth in lowest terms).
        dw	0			; viewport information
        dw	0
        dw	319
        dw	199

	db	'The Graphics Engine -- Copyright (c) 1993 by Matthew Hildebrand'



	PUBLIC C	initGraphics
PROC	C	initGraphics
  mov	ax,0013h
  int	10h
  mov	ax,1				; Return success code
  retf
ENDP

	ENDS
END